#!/bin/bash

# 
# Máster Universitario en Software Libre UOC
# Proyecto: WIFIPlant
# Licencia: GPLv3
# Autor: Pedro Cadavid
# Fecha: 04/10/2016
#


# Creamos las variables que vamos a usar con MySQL
sql_host="localhost"
sql_usuario="uoc"
sql_password="Password"

night="" # True o false si 08:00hs > hora > 21:00 hs 
festivo="" # True o false si hoy es Sábado, Domingo o festivo en tabla festivos.


is_night()
#checks if actual hour is night or not
# If is night will return true (night is 8<hour>20)
{
    local hour
    hour=`date "+%H"`
    hour=`expr $hour + 0`

    if [[ "$hour" -gt 20 || "$hour" -lt 8 ]];then
        night=true
    else
        night=false
    fi
}

check_festivo()
{
   local fecha_hoy
   local today
   local coincidencias

   today=`date +%a`

   if [[ "$today" == "Sat" || "$today" == "Sun" ]];then
        festivo=true
        return 1
   fi

   fecha_hoy=`date +%Y/%m/%d`
   coincidencias=`mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;select id_fe from festivos where fecha='$fecha_hoy'" | grep -v id_fe | wc -l`
   coincidencias=`expr $coincidencias + 0`
   
   if [[ "$coincidencias" -eq 1 ]];then 
      festivo=true
   else 
      festivo=false
   fi
}
