#!/bin/bash

# 
# Máster Universitario en Software Libre UOC
# Proyecto: WIFIPlant
# Licencia: GPLv3
# Autor: Pedro Cadavid
# Fecha: 08/10/2016
#

check_all_checks()
{

  local proceso=$1
  local num_procesos

  num_procesos=`ps aux | grep $proceso | grep -v grep | awk {'print $2'} | wc -l`
  num_procesos=`expr $num_procesos + 0`


  if [[ "$num_procesos" -eq "0" ]]; then
      bash /root/WIFIPlant/$proceso      
      echo "$(date) Encontrado el servicio $proceso parado. Lo lanzamos." >> /root/WIFIPlant/check_all_checks.log
  fi
}
check_all_checks check_sensors.sh
check_all_checks check_buttons.sh
check_all_checks check_vpn.sh
