#!/bin/bash
# 
# Máster Universitario en Software Libre UOC
# Proyecto: WIFIPlant
# Autor: Pedro Cadavid
# Fecha: 04/10/2016
#


source /root/WIFIPlant/calendar.sh
source /root/WIFIPlant/lcd_rgb.sh

sql_host="localhost"
sql_usuario="uoc"
sql_password="Password"

check_button()
{

 local estado_boton1
 local estado_boton2
 local estado_boton3

 while true;
 do
  estado_boton1=`python /root/WIFIPlant/poweroff_button.py`
  check_festivo
  is_night
  date=`date "+%Y/%m/%d %H:%M:%S"`

  if [[ "$estado_boton1" == "1" ]];then
     sleep 1
     estado_boton1=`python /root/WIFIPlant/poweroff_button.py`
     if [[ "$estado_boton1" == "1" ]];then
        sleep 1
        estado_boton1=`python /root/WIFIPlant/poweroff_button.py`
        if [[ "$estado_boton1" == "1" ]];then	       
            echo "$date Pulsado botón 1" >> botones_pulsados.log
            $(play /root/WIFIPlant/audio/apagando_sistema.wav >> /dev/null 2>&1)&
            mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;INSERT INTO log_msj_hablados(fichero,fecha)VALUES('apagando_sistema.wav', '$date');"
            lcd_set_color "black"
            i2cset -y 1  0x3e 0x80 0x0B
            python switch_led1_off.py
	    python switch_led2_off.py
            python switch_led3_off.py
 	    poweroff
        fi #if boton pulsado 3
    fi # if boton pulsado 2         
  fi #if boton pulsado 1
  sleep 1

  estado_boton2=`python /root/WIFIPlant/language_button.py`
  if [[ "$estado_boton2" == "1" ]];then
     sleep 1
     estado_boton2=`python /root/WIFIPlant/language_button.py`
     if [[ "$estado_boton2" == "1" ]];then
        sleep 1
        estado_boton2=`python /root/WIFIPlant/language_button.py`
        if [[ "$estado_boton2" == "1" ]];then
          echo "$date Pulsado botón 2" >> botones_pulsados.log
          idioma=`mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;select idioma from configuracion;" | grep -v idioma`
          idioma=`expr $idioma + 0`

          case "$idioma" in
            0)  mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;UPDATE configuracion SET idioma=1;"
                #python switch_led2_on.py
                python switch_led1_off.py
                python switch_led3_off.py
                sleep 0.3		 
               $(play /root/WIFIPlant/audio/idioma_cambiado_a_EU.wav >> /dev/null 2>&1)&
                ;;
            1)  mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;UPDATE configuracion SET idioma=2;"
                #python switch_led1_on.py
                python switch_led2_off.py
                python switch_led3_off.py
                sleep 0.3
                $(play /root/WIFIPlant/audio/idioma_cambiado_a_EN.wav >> /dev/null 2>&1)&
                ;;
            2)  mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;UPDATE configuracion SET idioma=0;"
                #python switch_led3_on.py
                python switch_led1_off.py
                python switch_led2_off.py
                sleep 0.3
                $(play /root/WIFIPlant/audio/idioma_cambiado_a_ES.wav >> /dev/null 2>&1)&
                ;;
           esac

          
 	  #$(play /root/WIFIPlant/audio/apagando_sistema.wav >> /dev/null 2>&1)&
          #mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;INSERT INTO log_msj_hablados(fichero,fecha)VALUES ('apagag$
        fi #if  boton pulsado 3
     fi # if botn pulsado 2
  fi # if boton pulsado 1

  estado_boton3=`python /root/WIFIPlant/audio_button.py`
  if [[ "$estado_boton3" == "1" ]];then
     sleep 1
     estado_boton3=`python /root/WIFIPlant/audio_button.py`
     if [[ "$estado_boton3" == "1" ]];then
        sleep 1
        estado_boton3=`python /root/WIFIPlant/audio_button.py`
        if [[ "$estado_boton3" == "1" ]];then
          echo "$date Pulsado botón 3" >> botones_pulsados.log 
          audio=`mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;select audio from configuracion;" | grep -v audio`
	  audio=`expr $audio + 0`

          if [[ "$audio" == "1" ]];then
		 $(play /root/WIFIPlant/audio/audio_desactivado.wav >> /dev/null 2>&1)&
                 mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;UPDATE configuracion SET audio=0;"  
          else 
          	$(play /root/WIFIPlant/audio/audio_activado.wav >> /dev/null 2>&1)&
		mysql -u $sql_usuario -p$sql_password -h $sql_host -e "use wifiplant;UPDATE configuracion SET audio=1;"
          fi
        fi #if  boton pulsado 3
     fi # if botn pulsado 2
  fi # if boton pulsado 1
 
 done

}
check_button&
