<!DOCTYPE html>
<head>
    <title>Flora</title>
    <meta http-equiv="Content-Type" content="text/html; charset="utf-8">
    <link rel="stylesheet" href="./estilos.css"/>
    <script src="./js/justgage.1.0.1.js"></script>	

    <?php

    require_once('funciones.php');
    if(sesionAbierta())
    {
        $sesion_user=$_SESSION['usuario'];
        $sesion_rol=selecciona_rol($_SESSION['rol']);
        $config= simplexml_load_file('config.xml');
        $host=$config->host;
        $usuario=$config->usuario;
        $password=$config->password;
        $base=$config->BBDD;
        $tabla1="planta_humedad";
        $tabla2="planta_temperatura";
        $tabla3="planta_lux";
        $tabla4="planta_humedad_suelo";
        $conexion=mysqli_connect($host,$usuario,$password,$base);

        if ($conexion==FALSE)
        {
            echo ('Error en la conexion');	
        }
        else
            {
                mysqli_select_db($conexion,$base);//Conectamos

                $resultado=mysqli_query ($conexion,"SELECT humedad from $tabla1 ORDER BY fecha desc limit 1");

                while ($registro=mysqli_fetch_row($resultado))
                {
                    $humedad=$registro[0];
                }	

                $resultado=mysqli_query ($conexion,"SELECT temperatura from $tabla2 ORDER BY fecha desc limit 1");

                while ($registro=mysqli_fetch_row($resultado))
                {
                    $temperatura=$registro[0];
                }	

                $resultado=mysqli_query ($conexion,"SELECT lux from $tabla3 ORDER BY fecha desc limit 1");

                while ($registro=mysqli_fetch_row($resultado))
                {
                    $lux=$registro[0];
                }

                $resultado=mysqli_query ($conexion,"SELECT humedad_suelo from $tabla4 ORDER BY fecha desc limit 1");

                while ($registro=mysqli_fetch_row($resultado))
                {
                    $soil=$registro[0];
                }		

            }
    }
    else header('location:index.php');


    echo "
   <script>
      var g1, g2, g3, g4;

      window.onload = function(){
        var g1 = new JustGage({
          id: 'g1',
          //value: getRandomInt(0, 50),
          value: $temperatura,
          min: 0,
          max: 50,
          title: 'Temperatura',
          label: 'ºC'
        });

        var g2 = new JustGage({
          id: 'g2',
          //value: getRandomInt(0, 100),
	  value: $humedad,
          min: 0,
          max: 100,
          title: 'Humedad',
          label: '%'
        });

         var g3 = new JustGage({
          id: 'g3',
          //value: getRandomInt(0, 100),
	  value: $lux,
          min: 0,
          max: 1000,
          title: 'Lux',
          label: 'Lux'
        });

         var g4 = new JustGage({
          id: 'g4',
          //value: getRandomInt(0, 100),
	  value: $soil,
          min: 0,
          max: 100,
          title: 'Soil',
          label: '%'
        });

	setTimeout(function(){
        window.location.reload(1);
        }, 15000);

       // setInterval(function() {
         // g1.refresh(getRandomInt(0, 50));
         // g2.refresh(getRandomInt(50, 100));
       // }, 2500);
      };
    </script>
</head>

<body>";

?>


<!--Contenedor principal -->
<div id="div1">

<!--Cabecero -->
<div id="div2" class="fondo transparente">
</div>	
<div id="div2a" >
	 <a href="./base.php"><img src="./fotos/logo2.png" id="logo"></a>
	
	<ul class="nav">
			<li>
				<?php
				    echo "<a href='#'>Usuario:</a>";
                                    ?>	
			</li>
			
			<li>
				<?php
				    echo "<b><a style='color:#91D90A' href='#'>$sesion_user $sesion_rol</a>";
                                    ?>	
			</li>
			
			<li>
				<a href="cerrar_sesion.php">Cerrar sesión</a>	
			</li></b>
			
	</ul>
		
</div><!--Fin cabecero div2 -->


<!--Contenedor cuerpo div3 -->
<div id="div3">
    <div id="div_tabla1">
        <table id="tabla_mostrar" >	

            <?php

             $config= simplexml_load_file('./config.xml');
             $host=$config->host;
             $usuario=$config->usuario;
             $password=$config->password;
             $base=$config->BBDD;
             $tabla="plantas";
             $conexion=mysqli_connect($host,$usuario,$password,$base);

            if ($conexion==FALSE)
            {
                echo ('Error en la conexion');
		
            }
            else
	        {
	           mysqli_select_db($conexion,$base);//Conectamos
                    $resultado=mysqli_query ($conexion,"SELECT id_pl, foto, nombre_cie from $tabla where activa=0");

                    while ($registro=mysqli_fetch_row($resultado))
                    {
                        $id_pl=$registro[0];
                        echo "<tr>";
                        echo "<td rowspan='2'><a href='mostrar_monit_ficha.php'><img  class='imagen_minis2' src='$registro[1]'></a></td>";
                        echo "<td ><b>Especie monitorizada: </b>$registro[2]</td>";
	               echo "</tr>";
	               echo "<th id='especial'><img src='./fotos/mensaje.gif'>  </th>";
	               echo "<th><img  src='./fotos/cara.png'></th>";
	           }
                }	

 		echo "<th></th>";
 	      ?>		   			
	</table><br>
	
	<table id="tabla_mostrar2" >	
             <tr>
		<td id="td_especial"><b>ULTIMAS ALERTAS</b></td>
		
	    </tr>
		
	</table>
	
	<table id="tabla_alertas" >	
         <tr>
            <?php
                $tabla="alertas";
                $conexion=mysqli_connect($host,$usuario,$password,$base);

            if ($conexion==FALSE)
            {
                echo ('Error en la conexion');
		
            }
            else
	        {
	           mysqli_select_db($conexion,$base);//Conectamos
                    $resultado=mysqli_query ($conexion,"SELECT mensaje,fecha from $tabla where id_pl='$id_pl' ORDER BY fecha desc LIMIT 6");

                    while ($registro=mysqli_fetch_row($resultado))
                    {

                        echo "<tr>";
			echo "<td>$registro[5]</td>";
                        echo "<td>$registro[4]</td>";
			echo "<td>$registro[3]</td>";
			echo "<td>$registro[2]</td>";
                        echo "<td>$registro[1]</td>";
                        echo "<td>$registro[0]</td>";
	               echo "</tr>";
	           }
                }	
            ?>
        </tr>
		
	</table>

	</div>

	<div id="div_tabla2">
        <table id="tabla_mostrar2" >	
             <tr>
		<td id="td_especial"><b>CONDICIONES ACTUALES</b></td>
		<td></td>
		<td></td>
		<td></td>
		
	    </tr>
		
	    </table>

        <table id="tabla_mostrar2" >    
            <td>
              <div class="graficas" id="g1"></div>
              <div class="graficas" id="g2" ></div>
              <div class="graficas" id="g3"></div>
              <div class="graficas" id="g4"> </div>
           </td>            	
        </table>	<br><br>
	</div>

   	
	
</div><!--Fin contenedor cuerpo div3 -->

</div><!--Fin contenedor principal div1 -->
		
</body>

</html>

